<?php

namespace App\Http\Controllers\Shop;

use App\Http\Controllers\Controller;
use App\Repositories\Shop\Contents;
use Illuminate\Http\Request;

class PayboxController extends Controller
{
    public function accepted()
    {
        return view('paybox.paybox', ['content' => Contents::getPayboxConfirmedContent()]);
    }

    public function refused(Request $request)
    {
        return view('paybox.paybox', ['content' => Contents::getPayboxRefusedContent()]);
    }

    public function aborted()
    {
        return view('paybox.paybox', ['content' => Contents::getPayboxAbortedContent()]);
    }

    public function waiting()
    {
        return view('paybox.waiting', ['content' => Contents::getPayboxWaitingContent()]);
    }

    public function process(Request $request)
    {
        return view('paybox.send');
    }
}
